
/*
 * (c) Denis Smirnov <mithraen@freesource.info>, 2005
 */
#include <getopt.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>

int try_open(const char *pathname, int quiet, const char *text)
{
    int fd;
    fd = open(pathname, O_RDWR);
    if (fd < 0) {
        if (!quiet)
            perror(pathname);
        return EXIT_FAILURE;
    }
    if (!quiet)
        printf("%s\n", text);

    close(fd);
	return EXIT_SUCCESS;
}

int main(int argc, char *argv[])
{
    int quiet = 0;

    while (1) {
        int c = getopt(argc, argv, "q");

        if (c == -1)
            break;

        switch (c) {
            case 'q':
                quiet = 1;
                break;
        }
    }

	if ( try_open( "/dev/dahdi/pseudo", quiet, "DAHDI interface opened") )
		return EXIT_FAILURE;
	return EXIT_SUCCESS;
}

